namespace Back.Services
{
    public class servSendMsg
    {
        private readonly mpNuget.RestClient _restClient;
        public servSendMsg(mpNuget.RestClient restClient) => _restClient = restClient;
        //private void SendMsgByPatern(string Text, string To, int bodyID) {/*_restClient.SendByBaseNumber(Text, To, bodyID);*/ }  
        private void SendMsg(string Text, string To) => _restClient.Send(To, "50004001660045", Text, false);
        private void SendByPattern(string[] bodys, int PatternCode, string To)
        {
            string text = "";
            foreach (string body in bodys)
            {
                if (string.IsNullOrEmpty(text)) text += body.Trim();
                else { text += ";" + body.Trim(); }
            }
            _restClient.SendByBaseNumber(text, To , PatternCode);
        }
            public void toContinue(string Code, string To, string title)
            {
            SendByPattern(new string[] { Code }, 251756, To);
              //  SendMsg($"برای ادامه {title} از کد {Code} استفاده کنید", To);
            }
            public void SuccessfulRegistration(string To, string Username, string Password)
            {
            SendByPattern(new string[] { Username,Password }, 251815, To);
            //SendMsg("ثبت نام شما با موفقیت انجام شد" + '\n' +
            //    "اطلاعات کاربری:" + '\n' +
            //    $"نام کاربری : {Username}" +
            //    $"کلمه عبور : {Password}", to);
        }
            //public void Authentication(string to,string code) => SendMsgByPatern(code, to, 0);       
            //
            //public void SuccessfulPayment(string to, string code) => SendMsgByPatern(code, to, 2);
            // public void firstEntry(string to, string code) => SendMsgByPatern(code, to, 3);
        }
    }
